﻿/*****************************************************
 * ProjectName:  DesignPattern_AbstractFactory
 * Description:
 * ClassName:    AppleFactory
 * CLRVersion:   4.0.30319.42000
 * Author:       JiYF
 * NameSpace:    DesignPattern_AbstractFactory
 * MachineName:  JIYF_PC
 * CreateTime:   2017/2/19 10:49:19
 * UpdatedTime:  2017/2/19 10:49:19
*****************************************************/
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DesignPattern_AbstractFactory
{
   /// <summary>
   /// 苹果手机工厂
   /// </summary>
    public class AppleFactory : AbstractFactory
    {
        /// <summary>
        /// 生产苹果手机屏幕
        /// </summary>
        /// <returns></returns>
        public override Screen CreateScreen()
        {
            return new AppleScreen();
        }

        /// <summary>
        /// 生产苹果手机主板
        /// </summary>
        /// <returns></returns>
        public override MotherBoard CreateMotherBoard()
        {
            return new AppleMotherBoard();
        }
    }
}
