﻿/*****************************************************
 * ProjectName:  DesignPattern_AbstractFactory
 * Description:
 * ClassName:    XiaoMiFactory
 * CLRVersion:   4.0.30319.42000
 * Author:       JiYF
 * NameSpace:    DesignPattern_AbstractFactory
 * MachineName:  JIYF_PC
 * CreateTime:   2017/2/19 10:49:06
 * UpdatedTime:  2017/2/19 10:49:06
*****************************************************/
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DesignPattern_AbstractFactory
{
    /// <summary>
    /// 小米手机工厂类
    /// </summary>
    public class XiaoMiFactory : AbstractFactory
    {
        /// <summary>
        /// 生产小米手机屏幕
        /// </summary>
        /// <returns></returns>
        public override Screen CreateScreen()
        {
            return new XiaoMiScreen();
        }

        /// <summary>
        /// 生产小米手机主板
        /// </summary>
        /// <returns></returns>
        public override MotherBoard CreateMotherBoard()
        {
            return new XiaoMiMotherBoard();
        }
    }
}
